FreeMat

- Main Page
- Related Pages

vtkButterflySubdivisionFilter

Section: Visualization Toolkit Graphics Classes

# Usage

vtkButterflySubdivisionFilter is an interpolating subdivision scheme that creates four new triangles for each triangle in the mesh. The user can specify the NumberOfSubdivisions. This filter implements the 8-point butterfly scheme described in: Zorin, D., Schroder, P., and Sweldens, W., "Interpolating Subdivisions for Meshes with Arbitrary Topology," Computer Graphics Proceedings, Annual Conference Series, 1996, ACM SIGGRAPH, pp.189-192. This scheme improves previous butterfly subdivisions with special treatment of vertices with valence other than 6.

Currently, the filter only operates on triangles. Users should use the vtkTriangleFilter to triangulate meshes that contain polygons or triangle strips.

The filter interpolates point data using the same scheme. New triangles created at a subdivision step will have the cell data of their parent cell.

To create an instance of class vtkButterflySubdivisionFilter, simply invoke its constructor as follows

      obj = vtkButterflySubdivisionFilter

# Methods

The class vtkButterflySubdivisionFilter has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkButterflySubdivisionFilter class.

- `string = obj.GetClassName ()` - Construct object with NumberOfSubdivisions set to 1.
- `int = obj.IsA (string name)` - Construct object with NumberOfSubdivisions set to 1.
- `vtkButterflySubdivisionFilter = obj.NewInstance ()` - Construct object with NumberOfSubdivisions set to 1.
- `vtkButterflySubdivisionFilter = obj.SafeDownCast (vtkObject o)` - Construct object with NumberOfSubdivisions set to 1.